<?php


namespace classes\webhook_comp;


class discord
{
    private $json;
    private $readable = "";

    public function __construct($json)
    {
        $this->json = $json;
    }

    public function readableMessage()
    {
        if(!empty($this->json->content))
        {
            return $this->json->content;
        }

        if(!empty($this->json->embeds->title))
        {
            $this->readable .= $this->json->embeds->title . PHP_EOL;
        }

        if(!empty($this->json->embeds->description))
        {
            $this->readable .= preg_replace("/(?:__|[*#])|\[(.*?)\]\(.*?\)/"," ",$this->json->embeds->description) . PHP_EOL;
            $this->readable .= $this->json->embeds->url;
        }

        return $this->readable;
    }
}